Community
Dynamic Blocks Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

visibility add engine.lsp - where can i find it and how does it work?

3 REPLIES 3
Reply
Message 1 of 4
Philm52
1110 Views, 3 Replies

visibility add engine.lsp - where can i find it and how does it work?

Hi
Does anyone know where I can find the visibility add engine.lsp and could explain how it works. I,m looking to create a block with multiple visibility states for different embedded block options within it whilst trying to link this to a lookup tables. If I was to create each option individually I would end up with thousands of options.

 

I,m not sure if visibility add engine is the correct route for me but I would like to try it.
Thanks
Phil

3 REPLIES 3
Message 2 of 4
Message 3 of 4
rapidcad
in reply to: Philm52

Sorry to not address this sooner - haven't been on the forums for a little while. A working version of the program can be downloaded HERE but the last version on the page, v1.4 can only work in AutoCAD 2010 or 201. The author made an attempt (v1.5) to get it updated to work in AutoCAD 2012 but he ran into problems with object model changes and that version does not work. If you are on AutoCAD subscription, you should be able to download previous versions of the software (2011) and you can run the program in 2011 and create multiple visibility parameter blocks to your hears's content and use them in the later versions of AutoCAD. I do it every day, and I have all 180+ of my MVP library dynamic blocks working perfectly in AutoCAD 2015 all the way down to AutoCAD 2010.

 

I wrote a simple list of command calls in Autolisp to add to the bottom of the program so that it is much easier to interact with it. I found it hard to remember all his function names, and their spellings, so I just wrote two-letter (ok, sometimes up to 4 letter) command calls to invoke them.

 

 ;;;turn functions into commands with simple calls
(defun c:EGO () (eval_graf_output));get ACAD_EVALUATION_GRAPH dictionary from the block editor space
(defun c:VA () (visibility_add));add a new Visibility Set parameter
(defun c:VU () (visibility-up));set selected Visibility Set as current
(defun c:NCVS () (tecuch_visibility));find name of current visibility state
(defun c:GON () (eddedd));switch on grips of all the elements of the current Visibility Set
(defun c:RFV () (element-sel-current-del));remove selected elements from the current Visibility Set
(defun c:RAFV () (element-all-current-del));remove all elements from the current Visibility Set
(defun c:AVS () (element-sel-current-insert));add selected elements to current Visibility Set
(defun c:VC () (Visibility_clear));complete cleaning of current state from all the elements, dynamic properties and states
(defun c:SVAA () (properties_add_all_visibility));set visibility of all the dynamic properties and grips in all the states of all Visibility Sets
(defun c:BSVS () (move-to-visibilityset));batch set visibility of selected entities in several chosen states of the current visibility set

 

Watch out for word wrap on these if you are going to copy paste them into your code.

Hope this helps,

Ron

 

ADN CAD Developer/Operator
Message 4 of 4
rapidcad
in reply to: rapidcad

BTW, second to the last function call command call I wrote should be SVAA. When you put a c: with an S the website sees that as a smiley face as you can see...

 

Enjoy,

   )

  (

c[]

 

Ron

ADN CAD Developer/Operator

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

”Boost

 

”Tips

 

”Services